Announcement

Collapse
No announcement yet.

Total War: WARHAMMER Linux Requirements Announced - AMD & NVIDIA GPUs

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Total War: WARHAMMER Linux Requirements Announced - AMD & NVIDIA GPUs

    Phoronix: Total War: WARHAMMER Linux Requirements Announced - AMD & NVIDIA GPUs

    With Feral Interactive releasing Total War: WARHAMMER for Linux this week, today they published the system requirements...

    http://www.phoronix.com/scan.php?pag...x-Requirements

  • #2
    Is the PRO driver not supported at all? Good news, let it die for the good of us all.
    ## VGA ##
    AMD: X1950XTX, HD3870, HD5870
    Intel: GMA45, HD3000 (Core i5 2500K)

    Comment


    • #3
      How can it be that the open source driver of AMD seems to be more compliant? The closed source driver officially announces opengl 4.5, so it passes the opengl compliance test, the open source one doesn't do it yet. And does AMD plan to replace their closed source driver at some point (on windows)?

      Comment


      • #4
        "AMD graphics cards are not supported when running SteamOS"

        Oh that's fucking funny.

        Comment


        • #5
          Originally posted by SaucyJack View Post
          "AMD graphics cards are not supported when running SteamOS"

          Oh that's fucking funny.
          Not really.

          Mesa 13.0.1 and LLVM 3.9 means AMD users will need to be using very fresh open-source code for the best performance.
          That basically means there's literally no distro that supports AMD today. The only way to get AMD cards working is to build Mesa yourself.

          Comment


          • #6
            Originally posted by bug77 View Post

            Not really.



            That basically means there's literally no distro that supports AMD today. The only way to get AMD cards working is to build Mesa yourself.
            Or use a PPA or copr with updated packages... like most of us already do.

            Comment


            • #7
              Originally posted by bug77 View Post
              The only way to get AMD cards working is to build Mesa yourself.
              or use one of many fedora coprs

              Comment


              • #8
                Originally posted by treba View Post
                The closed source driver officially announces opengl 4.5, so it passes the opengl compliance test, the open source one doesn't do it yet.
                it is possible to pass tests, but suck at specific app and to not pass tests, but not suck at specific app
                Originally posted by treba View Post
                And does AMD plan to replace their closed source driver at some point (on windows)?
                on windows their driver is mostly used in directx, not in opengl

                Comment


                • #9
                  Originally posted by bug77 View Post

                  Not really.



                  That basically means there's literally no distro that supports AMD today. The only way to get AMD cards working is to build Mesa yourself.
                  False: https://www.archlinux.org/packages/extra/x86_64/mesa/
                  ## VGA ##
                  AMD: X1950XTX, HD3870, HD5870
                  Intel: GMA45, HD3000 (Core i5 2500K)

                  Comment


                  • #10
                    Originally posted by r1348 View Post

                    Or use a PPA or copr with updated packages... like most of us already do.
                    Oh, it's already available, I missed that.
                    Still, adding PPAs/coprs will never be supported by Feral so getting these things into distros fast is still desirable.

                    Comment

                    Working...
                    X